Productsup
CDE APIApi referenceVersions

Update a connector basic information

Update a connector version name and description. Any update to the connector will move the deployed version out of sync with the configuration.

Sign in to run requests against the CDE API.
PUT
/connectors/{publicId}/versions/{connectorVersion}

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string" \  -H "Content-Type: application/json" \  -d '{    "connector-name": "Second name updated",    "connector-description": "Second description updated",    "readme": "updated readme"  }'
{
  "message": "Connector version updated."
}
{
  "message": "Bad request.",
  "errors": {
    "connector-name": "This value should not be blank."
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Connector not found."
}

How is this guide?